ruby2.6-rubygem-commander-testsuite-4.4.7-1.3.i586.rpm


Advertisement

Description

ruby2.6-rubygem-commander-testsuite - Test suite for commander

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename ruby2.6-rubygem-commander-testsuite-4.4.7-1.3.i586.rpm
Package name ruby2.6-rubygem-commander-testsuite
Package version 4.4.7
Package release 1.3
Package architecture i586
Package type rpm
Category Development/Languages/Ruby
Homepage https://github.com/commander-rb/commander
License MIT
Maintainer -
Download size 17.89 KB
Installed size 35.83 KB
Test::Unit or RSpec files, useful for developers.

Alternatives

Package Version Architecture Repository
ruby2.6-rubygem-commander-testsuite-4.4.7-1.3.x86_64.rpm 4.4.7 x86_64 openSUSE Oss
ruby2.6-rubygem-commander-testsuite - - -

Requires

Name Value
ruby2.6-rubygem-commander = 4.4.7

Provides

Name Value
ruby2.6-rubygem-commander-testsuite = 4.4.7-1.3
ruby2.6-rubygem-commander-testsuite(x86-32) = 4.4.7-1.3

Download

Type URL
Mirror widehat.opensuse.org
Binary Package ruby2.6-rubygem-commander-testsuite-4.4.7-1.3.i586.rpm
Source Package rubygem-commander-4.4.7-1.3.src.rpm

Install Howto

Install ruby2.6-rubygem-commander-testsuite rpm package:

# zypper install ruby2.6-rubygem-commander-testsuite

Files

Path
/usr/lib/ruby/gems/2.6.0/gems/commander-4.4.7/spec/command_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/commander-4.4.7/spec/configure_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/commander-4.4.7/spec/methods_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/commander-4.4.7/spec/runner_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/commander-4.4.7/spec/spec_helper.rb
/usr/lib/ruby/gems/2.6.0/gems/commander-4.4.7/spec/ui_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/commander-4.4.7/spec/core_ext/array_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/commander-4.4.7/spec/core_ext/object_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/commander-4.4.7/spec/help_formatters/terminal_compact_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/commander-4.4.7/spec/help_formatters/terminal_spec.rb

Changelog

2018-12-08 - Stephan Kulow <coolo@suse.com>
- updated to version 4.4.7
see installed History.rdoc
=== 4.4.7 / 2018-10-22
* Update HighLine dependency to 2.0.0. (@rohitpaulk)
2018-09-05 - coolo@suse.com
- updated to version 4.4.6
see installed History.rdoc
=== 4.4.6 / 2018-07-31
* Fix unexpected internal behavior change introduced in 4.4.5.
2018-05-22 - factory-auto@kulow.org
- updated to version 4.4.5
see installed History.rdoc
=== 4.4.5 / 2018-05-22
* Make internal command state less mutable. (@doriantaylor)
2018-02-08 - coolo@suse.com
- updated to version 4.4.4
see installed History.rdoc
=== 4.4.4 / 2018-01-18
* Fix deprecated constant warnings on Ruby 2.5. (@mattbrictson)
2016-12-29 - coolo@suse.com
- updated to version 4.4.3
see installed History.rdoc
=== 4.4.3 / 2016-12-28
* Fix deprecated constant warnings on Ruby 2.4.
2016-12-21 - coolo@suse.com
- updated to version 4.4.2
see installed History.rdoc
=== 4.4.2 / 2016-12-20
* Add `help_paging` program flag so that help paging may be disabled. (@gogiel)
2016-12-03 - coolo@suse.com
- updated to version 4.4.1
see installed History.rdoc
=== 4.4.1 / 2016-12-02
* Fix #36 - Warning about MissingSourceFile (@fallwith)
* Fix build on Ruby 1.9
2016-03-02 - coolo@suse.com
- updated to version 4.4.0
see installed History.rdoc
=== 4.4.0 / 2016-02-19
* Add modular style template initialization. (@lebogan)
* Allow option names that start with a global option name.
* Fix handling of negatable global flags. (@mfurtak)
2016-02-10 - coolo@suse.com
- updated to version 4.3.8
see installed History.rdoc
=== 4.3.8 / 2016-02-09
* Fix regression for deprecation warnings.
2016-01-27 - coolo@suse.com
- updated to version 4.3.7
see installed History.rdoc
=== 4.3.7 / 2016-01-26
* Fix regression in help formatter introduced in 4.3.6.
=== 4.3.6 / 2016-01-26 [YANKED]
* Fix deprecation warnings on Ruby 2.3.0.
* Indent option descriptions the same way as program and command descriptions. (@badeball)

See Also

Package Description
ruby2.6-rubygem-concurrent-ruby-1.1.5-1.1.i586.rpm Modern concurrency tools for Ruby. Inspired by Erlang, Clojure,
ruby2.6-rubygem-concurrent-ruby-1.1.5-1.1.x86_64.rpm Modern concurrency tools for Ruby. Inspired by Erlang, Clojure,
ruby2.6-rubygem-concurrent-ruby-doc-1.1.5-1.1.i586.rpm RDoc documentation for concurrent-ruby
ruby2.6-rubygem-concurrent-ruby-doc-1.1.5-1.1.x86_64.rpm RDoc documentation for concurrent-ruby
ruby2.6-rubygem-cool.io-1.5.3-1.5.i586.rpm A cool framework for doing high performance I/O in Ruby
ruby2.6-rubygem-cool.io-1.5.3-1.5.x86_64.rpm A cool framework for doing high performance I/O in Ruby
ruby2.6-rubygem-cool.io-doc-1.5.3-1.5.i586.rpm RDoc documentation for cool.io
ruby2.6-rubygem-cool.io-doc-1.5.3-1.5.x86_64.rpm RDoc documentation for cool.io
ruby2.6-rubygem-cool.io-testsuite-1.5.3-1.5.i586.rpm Test suite for cool.io
ruby2.6-rubygem-cool.io-testsuite-1.5.3-1.5.x86_64.rpm Test suite for cool.io
ruby2.6-rubygem-crack-0.4.3-1.7.i586.rpm Really simple JSON and XML parsing, ripped from Merb and Rails
ruby2.6-rubygem-crack-0.4.3-1.7.x86_64.rpm Really simple JSON and XML parsing, ripped from Merb and Rails
ruby2.6-rubygem-crack-doc-0.4.3-1.7.i586.rpm RDoc documentation for crack
ruby2.6-rubygem-crack-doc-0.4.3-1.7.x86_64.rpm RDoc documentation for crack
ruby2.6-rubygem-crack-testsuite-0.4.3-1.7.i586.rpm Test suite for crack
Advertisement
Advertisement